Package org.h2.jdbc

# Class JdbcBatchUpdateException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
java.sql.BatchUpdateException
org.h2.jdbc.JdbcBatchUpdateException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

public final class JdbcBatchUpdateException extends BatchUpdateException
Represents a batch update database exception.

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`void`
`printStackTrace()`
INTERNAL
`void`
`printStackTrace(PrintStream s)`
INTERNAL
`void`
`printStackTrace(PrintWriter s)`
INTERNAL

### Methods inherited from class java.sql.BatchUpdateException

`getLargeUpdateCounts, getUpdateCounts`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Method Details

### printStackTrace

public void printStackTrace()
INTERNAL

Overrides:
  `printStackTrace` in class `Throwable`

### printStackTrace

public void printStackTrace(PrintWriter s)
INTERNAL

Overrides:
  `printStackTrace` in class `Throwable`

### printStackTrace

public void printStackTrace(PrintStream s)
INTERNAL

Overrides:
  `printStackTrace` in class `Throwable`